# $Revision: 1.12 $, $Date: 2007/01/30 11:46:34 $
#
# Conditional build:
%bcond_without	mcrypt	# build without mcrypt support
#
Summary:	NSCA daemon for Nagios
Summary(pl):	Demon NSCA dla Nagiosa
Name:		nagios-nsca
Version:	2.7.1
Release:	1
License:	GPL
Group:		Networking
Source0:	http://dl.sourceforge.net/nagios/nsca-%{version}.tar.gz
# Source0-md5:	823400ebca86df44c6f48b66e1c181d2
Source1:	%{name}.init
Source2:	%{name}.submit
Patch0:		%{name}-groups.patch
Patch1:		%{name}-config.patch
URL:		http://www.nagios.org/
BuildRequires:	autoconf
BuildRequires:	libltdl-devel
%{?with_mcrypt:BuildRequires:	libmcrypt-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	nagios
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib/nagios
%define		_sysconfdir		/etc/nagios

%description
The NSCA addon is designed to accept passive host and service check
results from clients that use the send_nsca utility (included in client
subpackage) and pass them along to the Nagios process by using the
external command interface. The NSCA daemon can either be run as a
standalone daemon or as a service under inetd. If you have libmcrypt
installed on your systems, you can choose from multiple crypto
algorithms (DES, 3DES, CAST, xTEA, Twofish, LOKI97, RJINDAEL, SERPENT,
GOST, SAFER/SAFER+, etc.) for encrypting the traffic between the
client and the server. Encryption is important in this addon, as it
prevents unauthorized users from sending bogus check results to
Nagios.

%description -l pl
Dodatek NSCA suy do przyjmowania wynikw pasywnych testw hostw i
usug od klientw uywajcych narzdzia send_nsca (zawartego w
podpakiecie client) i przekazywanai ich do procesu Nagiosa poprzez
interfejs zewntrznych polece. Demon NSCA moe dziaa jako
samodzielny demon albo usuga inetd. Korzystajc z biblioteki
libmcrypt mona uywa wybra jeden z wielu algorytmw
kryptograficznych (DES, 3DES, CAST, xTEA, Twofish, LOKI97, RJINDAEL,
SERPENT, GOST, SAFER/SAFER+ itp.) do szyfrowania ruchu midzy klientem
a serwerem. Szyfrowanie jest istotne, jako e zapobiega wysyaniu do
Nagiosa faszywych wynikw testw przez nieautoryzowanych
uytkownikw.

%package client
Summary:	NSCA client
Summary(pl):	Klient NSCA
Group:		Networking

%description client
NSCA client - is used to send service check information from a remote
machine to the NSCA daemon on the central machine that runs Nagios.

%description client -l pl
Klient NSCA - uywany do wysyania wynikw testw ze zdalnych maszyn
do centralnej maszyny, na ktrej dziaa Nagios.

%prep
%setup -q -n nsca-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d,%{_sbindir}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nagios-nsca
install src/nsca $RPM_BUILD_ROOT%{_sbindir}
install src/send_nsca $RPM_BUILD_ROOT%{_sbindir}

install sample-config/nsca.cfg $RPM_BUILD_ROOT%{_sysconfdir}/nsca.cfg
install sample-config/send_nsca.cfg $RPM_BUILD_ROOT%{_sysconfdir}/send_nsca.cfg

install %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/send_nsca-submit
echo '# put your central nagios machine name or address here' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/send_nsca-central

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nagios-nsca
%service nagios-nsca restart "NSCA daemon"

%preun
if [ "$1" = "0" ]; then
	%service nagios-nsca stop
	/sbin/chkconfig --del nagios-nsca
fi

%files
%defattr(644,root,root,755)
%doc Changelog README SECURITY
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nsca.cfg
%attr(755,root,root) %{_sbindir}/nsca
%attr(754,root,root) /etc/rc.d/init.d/nagios-nsca

%files client
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not group md5 mtime size) %{_sysconfdir}/send_nsca.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not group md5 mtime size) %{_sysconfdir}/send_nsca-central
%attr(755,root,root) %{_sbindir}/send_nsca*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-nsca.spec,v $
Revision 1.12  2007/01/30 11:46:34  wolvverine
- up to 2.7.1

Revision 1.11  2006/12/20 00:25:03  glen
- 2.7

Revision 1.10  2006/07/20 19:30:02  glen
- rel 2

Revision 1.9  2006/07/20 16:37:19  qboosh
- updated pl

Revision 1.8  2006/07/20 15:30:13  glen
- add todo

Revision 1.7  2006/07/07 13:41:20  glen
- added config patch

Revision 1.6  2006/07/07 13:34:49  glen
- extended description

Revision 1.5  2006/05/21 19:38:44  glen
- update to 2.6
- use %service

Revision 1.4  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.3  2005/08/09 13:39:57  havner
- moved daemon binary do %sbindir
- groups patch
- rel 2

Revision 1.2  2005/08/08 13:02:01  havner
- new style bcond

Revision 1.1  2005/08/08 12:42:44  havner
- nsca 2.4 for nagios (based on netsaint-nsca.spec - is it to be removed?)
